<template>
  <div id="app">
    <img alt="Vue logo" src="./assets/logo.png">
    <auth-provider ref="authProvider">
      <div slot="authenticated">
        <button @click="handleLogout">Logout</button>
      </div>
      <div slot="unauthenticated">
        <signin-form @signinSuccess="signinSuccess" @signinFail="signinFail"></signin-form>
        <signup-form @signupSuccess="signupSuccess" @signupFail="signupFail"></signup-form>
      </div>
    </auth-provider>
  </div>
</template>

<script>
// import HelloWorld from './components/HelloWorld.vue'

export default {
  name: 'app',
  components: {
    // HelloWorld
  },
  methods: {
    signupSuccess(e) {
      console.log(e.detail)
    },
    signupFail(e) {
      console.log(e.detail)
    },
    signinSuccess(e) {
      console.log(e.detail)
    },
    signinFail(e) {
      console.log(e.detail)
    },
    handleLogout(e) {
      console.log(this.$refs.authProvider.logout())
    }
  }
}
</script>

<style>
#app {
  font-family: 'Avenir', Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
</style>
